BCL mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.Object System.Runtime.InteropServices.ComVisible(true)

An application domain is a partition in an operating system process where one or more applications reside. Objects in the same application domain communicate directly. Objects in different application domains communicate either by transporting copies of objects across application domain boundaries, or by using a proxy to exchange messages.

is the base class for objects that communicate across application domain boundaries by exchanging messages using a proxy. Objects that do not inherit from are implicitly marshal by value. When a remote application references a marshal by value object, a copy of the object is passed across application domain boundaries.

objects are accessed directly within the boundaries of the local application domain. The first time an application in a remote application domain accesses a , a proxy is passed to the remote application. Subsequent calls on the proxy are marshaled back to the object residing in the local application domain.

Types must inherit from when the type is used across application domain boundaries, and the state of the object must not be copied because the members of the object are not usable outside the application domain where they were created.

Enables access to objects across application domain boundaries in applications that support remoting.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Remoting.ObjRef ``

  The method is called by remote object creation methods such as and . In most cases, there is no need to override this method.

  Creates an object that contains all the relevant information required to generate a proxy used to communicate with a remote object.

  Information required to generate a proxy.

  The of the object that the new will reference.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object

  For more information about lifetime services, see the class.

  Retrieves the current lifetime service object that controls the lifetime policy for this instance.

  An object of type used to control the lifetime policy for this instance.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object

  For more information about lifetime services, see the class.

  Obtains a lifetime service object to control the lifetime policy for this instance.

  An object of type used to control the lifetime policy for this instance. This is the current lifetime service object for this instance if one exists; otherwise, a new lifetime service object initialized to the value of the property.

- Method
  2.0.0.0
  4.0.0.0
  System.MarshalByRefObject ``

  The method creates a shallow copy by creating a new object, and then copying the nonstatic fields of the current object to the new object. If a field is a value type, a bit-by-bit copy of the field is performed. If a field is a reference type, the reference is copied but the referred object is not; therefore, the original object and its clone refer to the same object.

  For example, consider a object called X that references objects A and B. Object B, in turn, references object C. A shallow copy of X creates new object X2 that also references objects A and B. In contrast, a deep copy of X creates a new object X2 that references the new objects A2 and B2, which are copies of A and B. B2, in turn, references the new object C2, which is a copy C. Use a class that implements the interface to perform a deep or shallow copy of an object.

  The identity of a object is defined as the remote server object that is the target of a remoting client call. By default, the memberwise clone of a object has the same identity as the original object, which is typically not the correct behavior for clones of server-side objects that are marshaled across a remoting boundary to the client side. Specify false, which is usually appropriate, to delete the identity of the clone and cause a new identity to be assigned when the clone is marshaled across a remoting boundary, or true to cause the clone to retain the identity of the original object. The method is intended to be used by developers implementing remote server objects.

  Creates a shallow copy of the current object.

  A shallow copy of the current object.

  false to delete the current object's identity, which will cause the object to be assigned a new identity when it is marshaled across a remoting boundary. A value of false is usually appropriate. true to copy the current object's identity to its clone, which will cause remoting client calls to be routed to the remote server object.
0